LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XShapeEventListener Interface Reference

makes it possible to register listeners, which are called whenever a document or document content event occurs More...

`import"XShapeEventListener.idl";`

## Public Member Functions
void | notifyShapeEvent ([in] EventObject Event)
| is called whenever a document event (see EventObject) occurs More...

## Detailed Description

makes it possible to register listeners, which are called whenever a document or document content event occurs

Such events will be broadcasted by a XShapeEventBroadcaster.

Since
  LibreOffice 6.4

## Member Function Documentation

## ◆ notifyShapeEvent()

void notifyShapeEvent | ( | [in] EventObject | Event | ) |

is called whenever a document event (see EventObject) occurs

Parameters

  Event | specifies the event type

The documentation for this interface was generated from the following file:

- com/sun/star/document/XShapeEventListener.idl